/**
 * 版权所有 ©2020 莱欧有限公司
 * 工程名：base02
 * 文件名：SessionEntity.java
 * 创建日期：2020年9月8日 下午5:09:14
 * 作者：mt.W
 */
package com.lion.entity;

/**
 * 类描述   session参数实体类
 * @author mt.W
 * @since 2020年9月8日
 */
public class LoginUserInfo {
	private String userId;
	private String userAccount ;//登录账号
	private String roleid;
	private String orgid;

	// zhao@20230427
	private long loginFailPunishStartTime; // 登录失败惩罚开始时间
	private int loginFailCount; // 登录失败次数
	public long LoginFailPunishStartTime(long...l)
	{
		if(null != l && l.length > 0)
			loginFailPunishStartTime = l[0];
		return loginFailPunishStartTime;
	}
	public int LoginFailCount(int...i)
	{
		if(null != i&& i.length > 0)
			loginFailCount = i[0];
		return loginFailCount;
	}
	
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getUserAccount() {
		return userAccount;
	}
	public void setUserAccount(String userAccount) {
		this.userAccount = userAccount;
	}
	public String getRoleid() {
		return roleid;
	}
	public void setRoleid(String roleid) {
		this.roleid = roleid;
	}
	public String getOrgid() {
		return orgid;
	}
	public void setOrgid(String orgid) {
		this.orgid = orgid;
	}
}
